summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-05-13 16:25:36 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-05-13 16:25:36 (EDT)
commit6208979d3c87d3171fcf8e68a7b8a91953462e7e (patch)
tree94cd785fbad0946ed95a082bdccf1ecf2556b87f /src
parent512bdbebb2e6a636d9e97b490fad68a52e4d983d (diff)
ob-checkbuilddeps: Fix status check.
This was breaking on packages with a status field like: Status: install user installed
Diffstat (limited to 'src')
-rw-r--r--src/ob-checkbuilddeps.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/ob-checkbuilddeps.sh b/src/ob-checkbuilddeps.sh
index 6b41416..6005563 100644
--- a/src/ob-checkbuilddeps.sh
+++ b/src/ob-checkbuilddeps.sh
@@ -81,7 +81,7 @@ check_dep()
ob_parse_dep -p dep_pkg -r dep_rel -v dep_ver "${dep}"
status="$(@@OPKG@@ status "${dep_pkg}")"
- if ! printf '%s\n' "${status}" | grep '^Status: .*ok installed$' \
+ if ! printf '%s\n' "${status}" | grep '^Status: .* .* installed$' \
>/dev/null 2>&1; then
return 1
fi